Bug 1752226 - Review Request: la-capitaine-cursor-theme - X-cursor theme inspired by macOS and based on KDE Breeze
Summary: Review Request: la-capitaine-cursor-theme - X-cursor theme inspired by macOS ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-14 20:11 UTC by Artem
Modified: 2019-10-26 17:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-19 17:41:22 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Artem 2019-09-14 20:11:22 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/atim/la-capitaine-cursor-theme/fedora-30-x86_64/01033124-la-capitaine-cursor-theme/la-capitaine-cursor-theme.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/atim/la-capitaine-cursor-theme/fedora-30-x86_64/01033124-la-capitaine-cursor-theme/la-capitaine-cursor-theme-3-1.fc30.src.rpm

Description:
This is an x-cursor theme inspired by macOS and based on KDE Breeze. The source
files were made in Inkscape, and the theme was designed to pair well with my
icon pack, La Capitaine.

Fedora Account System Username: atim

Working COPR: https://copr.fedorainfracloud.org/coprs/atim/la-capitaine-cursor-theme

Comment 2 Robert-André Mauchin 2019-09-22 22:08:02 UTC
 - You need to add the scriptlets for icon cache when installing for others than hicolor

%post
/bin/touch --no-create %{_datadir}/icons/%{tname} &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/%{tname} &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/%{tname} &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/%{tname} &>/dev/null || :


 - I don't think you need: Requires:       hicolor-icon-theme as you don't install icons inside hicolor



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GNU Lesser General Public License (v3 or later)", "Unknown or
     generated", "Creative Commons CC0 Public License". 351 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/la-capitaine-cursor-theme/review-la-
     capitaine-cursor-theme/licensecheck.txt
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/icons/La-
     Capitaine(la-capitaine-icon-theme)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: la-capitaine-cursor-theme-3-2.fc32.noarch.rpm
          la-capitaine-cursor-theme-3-2.fc32.src.rpm
la-capitaine-cursor-theme.noarch: W: spelling-error Summary(en_US) macOS -> ma Cos, mac OS, mac-OS
la-capitaine-cursor-theme.noarch: W: spelling-error %description -l en_US macOS -> ma Cos, mac OS, mac-OS
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/00000000000000020006000e7e9ffc3f progress
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/00008160000006810000408080010102 size_ver
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/08e8e1c95fe2fc01f976f1e063a24ccd progress
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/1081e37283d90000800003c07f3ef6bf copy
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/3085a0e285430894940527032f8b26df alias
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/3ecb610c1bf2410f44200f48c40d3599 progress
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/4498f0e0c1937ffe01fd06f973665830 dnd-move
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/5c6cd98b3f3ebcb1f9c7f1c204630408 help
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/6407b0e94181790501fd1e167b474872 copy
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/640fb0e74195791501fd1ed57b41487f alias
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/9081237383d90e509aa00f00170e968f dnd-move
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/9d800788f1b08800ae810202380a0822 pointer
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/a2a266d0498c3104214a47bd64ab0fc8 alias
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/arrow default
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/b66166c04f8c3109214a4fbd64a50fc8 copy
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/circle not-allowed
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/closedhand dnd-move
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/cross crosshair
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/crossed_circle not-allowed
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/d9ce0ab605698f320427677b458ad60b help
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/dnd-copy copy
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/dnd-none dnd-move
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/e-resize size_hor
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/e29285e634086352946a0e7090d73106 pointer
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/fcf21c00b30f7e3f83fe0dfd12e71cff dnd-move
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/forbidden no-drop
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/h_double_arrow size_hor
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/half-busy progress
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/hand1 pointer
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/hand2 pointer
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/ibeam text
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/left_ptr default
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/left_ptr_help help
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/left_ptr_watch progress
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/link alias
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/move dnd-move
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/n-resize size_ver
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/plus cell
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/pointing_hand pointer
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/question_arrow help
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/s-resize size_ver
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/sb_h_double_arrow size_hor
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/sb_v_double_arrow size_ver
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/size_all fleur
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/split_h col-resize
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/split_v row-resize
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/v_double_arrow size_ver
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/w-resize size_hor
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/watch wait
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/whats_this help
la-capitaine-cursor-theme.noarch: W: dangling-relative-symlink /usr/share/icons/La-Capitaine/cursors/xterm text
la-capitaine-cursor-theme.src: W: spelling-error Summary(en_US) macOS -> ma Cos, mac OS, mac-OS
la-capitaine-cursor-theme.src: W: spelling-error %description -l en_US macOS -> ma Cos, mac OS, mac-OS
2 packages and 0 specfiles checked; 0 errors, 55 warnings.

Comment 4 Artem 2019-10-10 07:41:58 UTC
https://copr-be.cloud.fedoraproject.org/results/atim/la-capitaine-cursor-theme/fedora-30-x86_64/01052015-la-capitaine-cursor-theme/la-capitaine-cursor-theme.spec

https://copr-be.cloud.fedoraproject.org/results/atim/la-capitaine-cursor-theme/fedora-30-x86_64/01052015-la-capitaine-cursor-theme/la-capitaine-cursor-theme-3-5.fc30.src.rpm



@eclipseo, i noticed some other maintainers using this[1] for updating cache. Which one better using nowadays?

[1]:

%transfiletriggerin -- %{_datadir}/icons/%{tname}
gtk-update-icon-cache --force %{_datadir}/icons/%{tname} &>/dev/null || :

%transfiletriggerpostun -- %{_datadir}/icons/%{tname}
gtk-update-icon-cache --force %{_datadir}/icons/%{tname} &>/dev/null || :

Comment 5 Robert-André Mauchin 2019-10-10 13:57:59 UTC
(In reply to Artem from comment #4)
> https://copr-be.cloud.fedoraproject.org/results/atim/la-capitaine-cursor-
> theme/fedora-30-x86_64/01052015-la-capitaine-cursor-theme/la-capitaine-
> cursor-theme.spec
> 
> https://copr-be.cloud.fedoraproject.org/results/atim/la-capitaine-cursor-
> theme/fedora-30-x86_64/01052015-la-capitaine-cursor-theme/la-capitaine-
> cursor-theme-3-5.fc30.src.rpm
> 
> 
> 
> @eclipseo, i noticed some other maintainers using this[1] for updating
> cache. Which one better using nowadays?
> 
> [1]:
> 
> %transfiletriggerin -- %{_datadir}/icons/%{tname}
> gtk-update-icon-cache --force %{_datadir}/icons/%{tname} &>/dev/null || :
> 
> %transfiletriggerpostun -- %{_datadir}/icons/%{tname}
> gtk-update-icon-cache --force %{_datadir}/icons/%{tname} &>/dev/null || :

You can use it. Although I'm not sure this would be very useful, but it will ensure you don't need to call the scriptlet if another package install icons in the la-capitaine folders.

Package approved.

Comment 6 Gwyn Ciesla 2019-10-10 21:01:41 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/la-capitaine-cursor-theme

Comment 7 Fedora Update System 2019-10-10 22:12:45 UTC
FEDORA-2019-fdc06b8050 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-fdc06b8050

Comment 8 Fedora Update System 2019-10-10 22:24:29 UTC
FEDORA-2019-d55210bdc9 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d55210bdc9

Comment 9 Fedora Update System 2019-10-11 16:53:44 UTC
la-capitaine-cursor-theme-3-5.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-fdc06b8050

Comment 10 Fedora Update System 2019-10-12 02:02:20 UTC
la-capitaine-cursor-theme-3-5.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d55210bdc9

Comment 11 Fedora Update System 2019-10-19 17:41:22 UTC
la-capitaine-cursor-theme-3-5.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-10-26 17:24:51 UTC
la-capitaine-cursor-theme-3-5.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.